edu.sc.seis.sod.tools

## Class find_events

- java.lang.Object
- - edu.sc.seis.seisFile.client.AbstractClient
  - - edu.sc.seis.sod.tools.CommandLineTool
    - - edu.sc.seis.sod.tools.find_events

-     public class find_events
      extends CommandLineTool

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.tools.CommandLineTool

      `requiresStdin`

    - ### Fields inherited from class edu.sc.seis.seisFile.client.AbstractClient

      `args, commandName, DEFAULT_USER_AGENT, HELP, jsap, params, result, userAgent, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `find_events(java.lang.String[] args)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addParams()`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class edu.sc.seis.sod.tools.CommandLineTool

      `getContext, getTemplate, run, shouldPrintRecipe`

    - ### Methods inherited from class edu.sc.seis.seisFile.client.AbstractClient

      `add, createListOption, createListOption, createListOption, getArgs, getCommandName, getHelp, getParams, getResult, getUserAgent, isSpecified, isSuccess, requiresAtLeastOneArg, setUserAgent, shouldPrintHelp, shouldPrintVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### find_events

          public find_events(java.lang.String[] args)
                      throws com.martiansoftware.jsap.JSAPException

      Throws:
        `com.martiansoftware.jsap.JSAPException`

  - ### Method Detail

    - #### addParams

          protected void addParams()
                            throws com.martiansoftware.jsap.JSAPException

      Overrides:
        `addParams` in class `CommandLineTool`
      Throws:
        `com.martiansoftware.jsap.JSAPException`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`